
# makefile for panorama stitching, created by hugin using the new makefilelib

# Tool configuration
NONA=nona
PTSTITCHER=PTStitcher
PTMENDER=PTmender
PTBLENDER=PTblender
PTMASKER=PTmasker
PTROLLER=PTroller
ENBLEND=enblend
ENFUSE=enfuse
SMARTBLEND=smartblend.exe
HDRMERGE=hugin_hdrmerge
RM=rm
EXIFTOOL=exiftool

# Project parameters
HUGIN_PROJECTION=5
HUGIN_HFOV=180
HUGIN_WIDTH=5350
HUGIN_HEIGHT=1668

# options for the programs
NONA_LDR_REMAPPED_COMP=-z LZW 
NONA_OPTS=
ENBLEND_OPTS= -f5301x1453+39+140
ENBLEND_LDR_COMP=--compression=95
ENBLEND_EXPOSURE_COMP=--compression=LZW 
ENBLEND_HDR_COMP=
HDRMERGE_OPTS=-m avg -c
ENFUSE_OPTS=
EXIFTOOL_COPY_ARGS=-ImageDescription -Make -Model -Artist -WhitePoint -Copyright -GPS:all -DateTimeOriginal -CreateDate -UserComment -ColorSpace -OwnerName -SerialNumber
EXIFTOOL_INFO_ARGS='-Software=Hugin 2013.0.0.0d404a7088e6' '-UserComment<$${UserComment}&\#xa;Projection: Mercator (5)&\#xa;FOV: 180 x 54&\#xa;Ev: 13.94' -f

# the output panorama
LDR_REMAPPED_PREFIX=2077-81_hor1
LDR_REMAPPED_PREFIX_SHELL=2077-81_hor1
HDR_STACK_REMAPPED_PREFIX=2077-81_hor1_hdr_
HDR_STACK_REMAPPED_PREFIX_SHELL=2077-81_hor1_hdr_
LDR_EXPOSURE_REMAPPED_PREFIX=2077-81_hor1_exposure_layers_
LDR_EXPOSURE_REMAPPED_PREFIX_SHELL=2077-81_hor1_exposure_layers_
PROJECT_FILE=/home/sla/2007p/20070515-dom/2077-81_hor1.pto
PROJECT_FILE_SHELL=/home/sla/2007p/20070515-dom/2077-81_hor1.pto
LDR_BLENDED=2077-81_hor1.jpg
LDR_BLENDED_SHELL=2077-81_hor1.jpg
LDR_STACKED_BLENDED=2077-81_hor1_fused.jpg
LDR_STACKED_BLENDED_SHELL=2077-81_hor1_fused.jpg
LDR_EXPOSURE_LAYERS_FUSED=2077-81_hor1_blended_fused.jpg
LDR_EXPOSURE_LAYERS_FUSED_SHELL=2077-81_hor1_blended_fused.jpg
HDR_BLENDED=2077-81_hor1_hdr.exr
HDR_BLENDED_SHELL=2077-81_hor1_hdr.exr

# first input image
INPUT_IMAGE_1=/home/sla/2007p/20070515-dom/img_2077.jpg
INPUT_IMAGE_1_SHELL=/home/sla/2007p/20070515-dom/img_2077.jpg

# all input images
INPUT_IMAGES=/home/sla/2007p/20070515-dom/img_2077.jpg\
/home/sla/2007p/20070515-dom/img_2078.jpg\
/home/sla/2007p/20070515-dom/img_2079.jpg\
/home/sla/2007p/20070515-dom/img_2080.jpg\
/home/sla/2007p/20070515-dom/img_2081.jpg
INPUT_IMAGES_SHELL=/home/sla/2007p/20070515-dom/img_2077.jpg\
/home/sla/2007p/20070515-dom/img_2078.jpg\
/home/sla/2007p/20070515-dom/img_2079.jpg\
/home/sla/2007p/20070515-dom/img_2080.jpg\
/home/sla/2007p/20070515-dom/img_2081.jpg

# remapped images
LDR_LAYERS=2077-81_hor10000.tif\
2077-81_hor10001.tif\
2077-81_hor10002.tif\
2077-81_hor10003.tif\
2077-81_hor10004.tif
LDR_LAYERS_SHELL=2077-81_hor10000.tif\
2077-81_hor10001.tif\
2077-81_hor10002.tif\
2077-81_hor10003.tif\
2077-81_hor10004.tif

# remapped images (hdr)
HDR_LAYERS=2077-81_hor1_hdr_0000.exr\
2077-81_hor1_hdr_0001.exr\
2077-81_hor1_hdr_0002.exr\
2077-81_hor1_hdr_0003.exr\
2077-81_hor1_hdr_0004.exr
HDR_LAYERS_SHELL=2077-81_hor1_hdr_0000.exr\
2077-81_hor1_hdr_0001.exr\
2077-81_hor1_hdr_0002.exr\
2077-81_hor1_hdr_0003.exr\
2077-81_hor1_hdr_0004.exr

# remapped maxval images
HDR_LAYERS_WEIGHTS=2077-81_hor1_hdr_0000_gray.pgm\
2077-81_hor1_hdr_0001_gray.pgm\
2077-81_hor1_hdr_0002_gray.pgm\
2077-81_hor1_hdr_0003_gray.pgm\
2077-81_hor1_hdr_0004_gray.pgm
HDR_LAYERS_WEIGHTS_SHELL=2077-81_hor1_hdr_0000_gray.pgm\
2077-81_hor1_hdr_0001_gray.pgm\
2077-81_hor1_hdr_0002_gray.pgm\
2077-81_hor1_hdr_0003_gray.pgm\
2077-81_hor1_hdr_0004_gray.pgm

# stacked hdr images
HDR_STACK_0=2077-81_hor1_stack_hdr_0000.exr
HDR_STACK_0_SHELL=2077-81_hor1_stack_hdr_0000.exr
HDR_STACK_0_INPUT=2077-81_hor1_hdr_0000.exr
HDR_STACK_0_INPUT_SHELL=2077-81_hor1_hdr_0000.exr
HDR_STACK_1=2077-81_hor1_stack_hdr_0001.exr
HDR_STACK_1_SHELL=2077-81_hor1_stack_hdr_0001.exr
HDR_STACK_1_INPUT=2077-81_hor1_hdr_0001.exr
HDR_STACK_1_INPUT_SHELL=2077-81_hor1_hdr_0001.exr
HDR_STACK_2=2077-81_hor1_stack_hdr_0002.exr
HDR_STACK_2_SHELL=2077-81_hor1_stack_hdr_0002.exr
HDR_STACK_2_INPUT=2077-81_hor1_hdr_0002.exr
HDR_STACK_2_INPUT_SHELL=2077-81_hor1_hdr_0002.exr
HDR_STACK_3=2077-81_hor1_stack_hdr_0003.exr
HDR_STACK_3_SHELL=2077-81_hor1_stack_hdr_0003.exr
HDR_STACK_3_INPUT=2077-81_hor1_hdr_0003.exr
HDR_STACK_3_INPUT_SHELL=2077-81_hor1_hdr_0003.exr
HDR_STACK_4=2077-81_hor1_stack_hdr_0004.exr
HDR_STACK_4_SHELL=2077-81_hor1_stack_hdr_0004.exr
HDR_STACK_4_INPUT=2077-81_hor1_hdr_0004.exr
HDR_STACK_4_INPUT_SHELL=2077-81_hor1_hdr_0004.exr
HDR_STACKS_NUMBERS=0 1 2 3 4 
HDR_STACKS=$(HDR_STACK_0) $(HDR_STACK_1) $(HDR_STACK_2) $(HDR_STACK_3) $(HDR_STACK_4) 
HDR_STACKS_SHELL=$(HDR_STACK_0_SHELL) $(HDR_STACK_1_SHELL) $(HDR_STACK_2_SHELL) $(HDR_STACK_3_SHELL) $(HDR_STACK_4_SHELL) 

# number of image sets with similar exposure
LDR_EXPOSURE_LAYER_0=2077-81_hor1_exposure_0000.tif
LDR_EXPOSURE_LAYER_0_SHELL=2077-81_hor1_exposure_0000.tif
LDR_EXPOSURE_LAYER_0_INPUT=2077-81_hor1_exposure_layers_0000.tif\
2077-81_hor1_exposure_layers_0001.tif\
2077-81_hor1_exposure_layers_0002.tif\
2077-81_hor1_exposure_layers_0003.tif\
2077-81_hor1_exposure_layers_0004.tif
LDR_EXPOSURE_LAYER_0_INPUT_SHELL=2077-81_hor1_exposure_layers_0000.tif\
2077-81_hor1_exposure_layers_0001.tif\
2077-81_hor1_exposure_layers_0002.tif\
2077-81_hor1_exposure_layers_0003.tif\
2077-81_hor1_exposure_layers_0004.tif
LDR_EXPOSURE_LAYER_0_INPUT_PTMENDER=2077-81_hor10000.tif\
2077-81_hor10001.tif\
2077-81_hor10002.tif\
2077-81_hor10003.tif\
2077-81_hor10004.tif
LDR_EXPOSURE_LAYER_0_INPUT_PTMENDER_SHELL=2077-81_hor10000.tif\
2077-81_hor10001.tif\
2077-81_hor10002.tif\
2077-81_hor10003.tif\
2077-81_hor10004.tif
LDR_EXPOSURE_LAYER_0_EXPOSURE=13.9366
LDR_EXPOSURE_LAYERS_NUMBERS=0 
LDR_EXPOSURE_LAYERS=$(LDR_EXPOSURE_LAYER_0) 
LDR_EXPOSURE_LAYERS_SHELL=$(LDR_EXPOSURE_LAYER_0_SHELL) 
LDR_EXPOSURE_LAYERS_REMAPPED=2077-81_hor1_exposure_layers_0000.tif\
2077-81_hor1_exposure_layers_0001.tif\
2077-81_hor1_exposure_layers_0002.tif\
2077-81_hor1_exposure_layers_0003.tif\
2077-81_hor1_exposure_layers_0004.tif
LDR_EXPOSURE_LAYERS_REMAPPED_SHELL=2077-81_hor1_exposure_layers_0000.tif\
2077-81_hor1_exposure_layers_0001.tif\
2077-81_hor1_exposure_layers_0002.tif\
2077-81_hor1_exposure_layers_0003.tif\
2077-81_hor1_exposure_layers_0004.tif

# stacked ldr images
LDR_STACK_0=2077-81_hor1_stack_ldr_0000.tif
LDR_STACK_0_SHELL=2077-81_hor1_stack_ldr_0000.tif
LDR_STACK_0_INPUT=2077-81_hor1_exposure_layers_0000.tif
LDR_STACK_0_INPUT_SHELL=2077-81_hor1_exposure_layers_0000.tif
LDR_STACK_1=2077-81_hor1_stack_ldr_0001.tif
LDR_STACK_1_SHELL=2077-81_hor1_stack_ldr_0001.tif
LDR_STACK_1_INPUT=2077-81_hor1_exposure_layers_0001.tif
LDR_STACK_1_INPUT_SHELL=2077-81_hor1_exposure_layers_0001.tif
LDR_STACK_2=2077-81_hor1_stack_ldr_0002.tif
LDR_STACK_2_SHELL=2077-81_hor1_stack_ldr_0002.tif
LDR_STACK_2_INPUT=2077-81_hor1_exposure_layers_0002.tif
LDR_STACK_2_INPUT_SHELL=2077-81_hor1_exposure_layers_0002.tif
LDR_STACK_3=2077-81_hor1_stack_ldr_0003.tif
LDR_STACK_3_SHELL=2077-81_hor1_stack_ldr_0003.tif
LDR_STACK_3_INPUT=2077-81_hor1_exposure_layers_0003.tif
LDR_STACK_3_INPUT_SHELL=2077-81_hor1_exposure_layers_0003.tif
LDR_STACK_4=2077-81_hor1_stack_ldr_0004.tif
LDR_STACK_4_SHELL=2077-81_hor1_stack_ldr_0004.tif
LDR_STACK_4_INPUT=2077-81_hor1_exposure_layers_0004.tif
LDR_STACK_4_INPUT_SHELL=2077-81_hor1_exposure_layers_0004.tif
LDR_STACKS_NUMBERS=0 1 2 3 4 
LDR_STACKS=$(LDR_STACK_0) $(LDR_STACK_1) $(LDR_STACK_2) $(LDR_STACK_3) $(LDR_STACK_4) 
LDR_STACKS_SHELL=$(LDR_STACK_0_SHELL) $(LDR_STACK_1_SHELL) $(LDR_STACK_2_SHELL) $(LDR_STACK_3_SHELL) $(LDR_STACK_4_SHELL) 
DO_LDR_BLENDED=1

all : startStitching $(LDR_BLENDED) 

startStitching : 
	@echo '==========================================================================='
	@echo 'Stitching panorama'
	@echo '==========================================================================='

clean : 
	@echo '==========================================================================='
	@echo 'Remove temporary files'
	@echo '==========================================================================='
	-$(RM) $(LDR_LAYERS_SHELL) 

test : 
	@echo '==========================================================================='
	@echo 'Testing programs'
	@echo '==========================================================================='
	@echo -n 'Checking nona...'
	@-$(NONA) --help > /dev/null 2>&1 && echo '[OK]' || echo '[FAILED]'
	@echo -n 'Checking enblend...'
	@-$(ENBLEND) -h > /dev/null 2>&1 && echo '[OK]' || echo '[FAILED]'
	@echo -n 'Checking enfuse...'
	@-$(ENFUSE) -h > /dev/null 2>&1 && echo '[OK]' || echo '[FAILED]'
	@echo -n 'Checking hugin_hdrmerge...'
	@-$(HDRMERGE) -h > /dev/null 2>&1 && echo '[OK]' || echo '[FAILED]'
	@echo -n 'Checking exiftool...'
	@-$(EXIFTOOL) -ver > /dev/null 2>&1 && echo '[OK]' || echo '[FAILED]'

info : 
	@echo '==========================================================================='
	@echo '***************  Panorama makefile generated by Hugin       ***************'
	@echo '==========================================================================='
	@echo 'System information'
	@echo '==========================================================================='
	@echo -n 'Operating system: '
	@-uname -o
	@echo -n 'Release: '
	@-uname -r
	@echo -n 'Kernel version: '
	@-uname -v
	@echo -n 'Machine: '
	@-uname -m
	@echo 'Disc usage'
	@-df -h
	@echo 'Memory usage'
	@-free -m
	@echo '==========================================================================='
	@echo 'Output options'
	@echo '==========================================================================='
	@echo 'Hugin Version: 2013.0.0.0d404a7088e6'
	@echo 'Project file: /home/sla/2007p/20070515-dom/2077-81_hor1.pto'
	@echo 'Output prefix: 2077-81_hor1'
	@echo 'Projection: Mercator (5)'
	@echo 'Field of view: 180 x 54'
	@echo 'Canvas dimensions: 5350 x 1668'
	@echo 'Crop area: (39,140) - (5340,1593)'
	@echo 'Output exposure value: 13.94'
	@echo 'Output stacks minimum overlap: 0.700'
	@echo 'Output layers maximum Ev difference: 0.50'
	@echo 'Selected outputs'
	@echo 'Normal panorama'
	@echo '* Blended panorama'
	@echo '==========================================================================='
	@echo 'Input images'
	@echo '==========================================================================='
	@echo 'Number of images in project file: 5'
	@echo 'Number of active images: 5'
	@echo 'Image 0: /home/sla/2007p/20070515-dom/img_2077.jpg'
	@echo 'Image 0: Size 1200x1600, Exposure: 13.94'
	@echo 'Image 1: /home/sla/2007p/20070515-dom/img_2078.jpg'
	@echo 'Image 1: Size 1200x1600, Exposure: 13.94'
	@echo 'Image 2: /home/sla/2007p/20070515-dom/img_2079.jpg'
	@echo 'Image 2: Size 1200x1600, Exposure: 13.94'
	@echo 'Image 3: /home/sla/2007p/20070515-dom/img_2080.jpg'
	@echo 'Image 3: Size 1200x1600, Exposure: 13.94'
	@echo 'Image 4: /home/sla/2007p/20070515-dom/img_2081.jpg'
	@echo 'Image 4: Size 1200x1600, Exposure: 13.94'

# Rules for ordinary TIFF_m and hdr output

2077-81_hor10000.tif : /home/sla/2007p/20070515-dom/img_2077.jpg $(PROJECT_FILE) 
	$(NONA) $(NONA_OPTS) $(NONA_LDR_REMAPPED_COMP) -r ldr -m TIFF_m -o $(LDR_REMAPPED_PREFIX_SHELL) -i 0 $(PROJECT_FILE_SHELL)

2077-81_hor1_hdr_0000.exr : /home/sla/2007p/20070515-dom/img_2077.jpg $(PROJECT_FILE) 
	$(NONA) $(NONA_OPTS) -r hdr -m EXR_m -o $(HDR_STACK_REMAPPED_PREFIX_SHELL) -i 0 $(PROJECT_FILE_SHELL)

2077-81_hor10001.tif : /home/sla/2007p/20070515-dom/img_2078.jpg $(PROJECT_FILE) 
	$(NONA) $(NONA_OPTS) $(NONA_LDR_REMAPPED_COMP) -r ldr -m TIFF_m -o $(LDR_REMAPPED_PREFIX_SHELL) -i 1 $(PROJECT_FILE_SHELL)

2077-81_hor1_hdr_0001.exr : /home/sla/2007p/20070515-dom/img_2078.jpg $(PROJECT_FILE) 
	$(NONA) $(NONA_OPTS) -r hdr -m EXR_m -o $(HDR_STACK_REMAPPED_PREFIX_SHELL) -i 1 $(PROJECT_FILE_SHELL)

2077-81_hor10002.tif : /home/sla/2007p/20070515-dom/img_2079.jpg $(PROJECT_FILE) 
	$(NONA) $(NONA_OPTS) $(NONA_LDR_REMAPPED_COMP) -r ldr -m TIFF_m -o $(LDR_REMAPPED_PREFIX_SHELL) -i 2 $(PROJECT_FILE_SHELL)

2077-81_hor1_hdr_0002.exr : /home/sla/2007p/20070515-dom/img_2079.jpg $(PROJECT_FILE) 
	$(NONA) $(NONA_OPTS) -r hdr -m EXR_m -o $(HDR_STACK_REMAPPED_PREFIX_SHELL) -i 2 $(PROJECT_FILE_SHELL)

2077-81_hor10003.tif : /home/sla/2007p/20070515-dom/img_2080.jpg $(PROJECT_FILE) 
	$(NONA) $(NONA_OPTS) $(NONA_LDR_REMAPPED_COMP) -r ldr -m TIFF_m -o $(LDR_REMAPPED_PREFIX_SHELL) -i 3 $(PROJECT_FILE_SHELL)

2077-81_hor1_hdr_0003.exr : /home/sla/2007p/20070515-dom/img_2080.jpg $(PROJECT_FILE) 
	$(NONA) $(NONA_OPTS) -r hdr -m EXR_m -o $(HDR_STACK_REMAPPED_PREFIX_SHELL) -i 3 $(PROJECT_FILE_SHELL)

2077-81_hor10004.tif : /home/sla/2007p/20070515-dom/img_2081.jpg $(PROJECT_FILE) 
	$(NONA) $(NONA_OPTS) $(NONA_LDR_REMAPPED_COMP) -r ldr -m TIFF_m -o $(LDR_REMAPPED_PREFIX_SHELL) -i 4 $(PROJECT_FILE_SHELL)

2077-81_hor1_hdr_0004.exr : /home/sla/2007p/20070515-dom/img_2081.jpg $(PROJECT_FILE) 
	$(NONA) $(NONA_OPTS) -r hdr -m EXR_m -o $(HDR_STACK_REMAPPED_PREFIX_SHELL) -i 4 $(PROJECT_FILE_SHELL)

# Rules for exposure layer output

2077-81_hor1_exposure_layers_0000.tif : /home/sla/2007p/20070515-dom/img_2077.jpg $(PROJECT_FILE) 
	$(NONA) $(NONA_OPTS) $(NONA_LDR_REMAPPED_COMP) -r ldr -e 13.9366 -m TIFF_m -o $(LDR_EXPOSURE_REMAPPED_PREFIX_SHELL) -i 0 $(PROJECT_FILE_SHELL)

2077-81_hor1_exposure_layers_0001.tif : /home/sla/2007p/20070515-dom/img_2078.jpg $(PROJECT_FILE) 
	$(NONA) $(NONA_OPTS) $(NONA_LDR_REMAPPED_COMP) -r ldr -e 13.9366 -m TIFF_m -o $(LDR_EXPOSURE_REMAPPED_PREFIX_SHELL) -i 1 $(PROJECT_FILE_SHELL)

2077-81_hor1_exposure_layers_0002.tif : /home/sla/2007p/20070515-dom/img_2079.jpg $(PROJECT_FILE) 
	$(NONA) $(NONA_OPTS) $(NONA_LDR_REMAPPED_COMP) -r ldr -e 13.9366 -m TIFF_m -o $(LDR_EXPOSURE_REMAPPED_PREFIX_SHELL) -i 2 $(PROJECT_FILE_SHELL)

2077-81_hor1_exposure_layers_0003.tif : /home/sla/2007p/20070515-dom/img_2080.jpg $(PROJECT_FILE) 
	$(NONA) $(NONA_OPTS) $(NONA_LDR_REMAPPED_COMP) -r ldr -e 13.9366 -m TIFF_m -o $(LDR_EXPOSURE_REMAPPED_PREFIX_SHELL) -i 3 $(PROJECT_FILE_SHELL)

2077-81_hor1_exposure_layers_0004.tif : /home/sla/2007p/20070515-dom/img_2081.jpg $(PROJECT_FILE) 
	$(NONA) $(NONA_OPTS) $(NONA_LDR_REMAPPED_COMP) -r ldr -e 13.9366 -m TIFF_m -o $(LDR_EXPOSURE_REMAPPED_PREFIX_SHELL) -i 4 $(PROJECT_FILE_SHELL)

# Rules for LDR and HDR stack merging, a rule for each stack

$(LDR_STACK_0) : $(LDR_STACK_0_INPUT) 
	$(ENFUSE) $(ENFUSE_OPTS) -o $(LDR_STACK_0_SHELL) -- $(LDR_STACK_0_INPUT_SHELL)
	-$(EXIFTOOL) -overwrite_original_in_place -TagsFromFile $(INPUT_IMAGE_1_SHELL) $(EXIFTOOL_COPY_ARGS) $(LDR_STACK_0_SHELL)

$(HDR_STACK_0) : $(HDR_STACK_0_INPUT) 
	$(HDRMERGE) $(HDRMERGE_OPTS) -o $(HDR_STACK_0_SHELL) -- $(HDR_STACK_0_INPUT_SHELL)

$(LDR_STACK_1) : $(LDR_STACK_1_INPUT) 
	$(ENFUSE) $(ENFUSE_OPTS) -o $(LDR_STACK_1_SHELL) -- $(LDR_STACK_1_INPUT_SHELL)
	-$(EXIFTOOL) -overwrite_original_in_place -TagsFromFile $(INPUT_IMAGE_1_SHELL) $(EXIFTOOL_COPY_ARGS) $(LDR_STACK_1_SHELL)

$(HDR_STACK_1) : $(HDR_STACK_1_INPUT) 
	$(HDRMERGE) $(HDRMERGE_OPTS) -o $(HDR_STACK_1_SHELL) -- $(HDR_STACK_1_INPUT_SHELL)

$(LDR_STACK_2) : $(LDR_STACK_2_INPUT) 
	$(ENFUSE) $(ENFUSE_OPTS) -o $(LDR_STACK_2_SHELL) -- $(LDR_STACK_2_INPUT_SHELL)
	-$(EXIFTOOL) -overwrite_original_in_place -TagsFromFile $(INPUT_IMAGE_1_SHELL) $(EXIFTOOL_COPY_ARGS) $(LDR_STACK_2_SHELL)

$(HDR_STACK_2) : $(HDR_STACK_2_INPUT) 
	$(HDRMERGE) $(HDRMERGE_OPTS) -o $(HDR_STACK_2_SHELL) -- $(HDR_STACK_2_INPUT_SHELL)

$(LDR_STACK_3) : $(LDR_STACK_3_INPUT) 
	$(ENFUSE) $(ENFUSE_OPTS) -o $(LDR_STACK_3_SHELL) -- $(LDR_STACK_3_INPUT_SHELL)
	-$(EXIFTOOL) -overwrite_original_in_place -TagsFromFile $(INPUT_IMAGE_1_SHELL) $(EXIFTOOL_COPY_ARGS) $(LDR_STACK_3_SHELL)

$(HDR_STACK_3) : $(HDR_STACK_3_INPUT) 
	$(HDRMERGE) $(HDRMERGE_OPTS) -o $(HDR_STACK_3_SHELL) -- $(HDR_STACK_3_INPUT_SHELL)

$(LDR_STACK_4) : $(LDR_STACK_4_INPUT) 
	$(ENFUSE) $(ENFUSE_OPTS) -o $(LDR_STACK_4_SHELL) -- $(LDR_STACK_4_INPUT_SHELL)
	-$(EXIFTOOL) -overwrite_original_in_place -TagsFromFile $(INPUT_IMAGE_1_SHELL) $(EXIFTOOL_COPY_ARGS) $(LDR_STACK_4_SHELL)

$(HDR_STACK_4) : $(HDR_STACK_4_INPUT) 
	$(HDRMERGE) $(HDRMERGE_OPTS) -o $(HDR_STACK_4_SHELL) -- $(HDR_STACK_4_INPUT_SHELL)

$(LDR_BLENDED) : $(LDR_LAYERS) 
	$(ENBLEND) $(ENBLEND_LDR_COMP) $(ENBLEND_OPTS) -o $(LDR_BLENDED_SHELL) -- $(LDR_LAYERS_SHELL)
	-$(EXIFTOOL) -E -overwrite_original_in_place -TagsFromFile $(INPUT_IMAGE_1_SHELL) $(EXIFTOOL_COPY_ARGS) $(EXIFTOOL_INFO_ARGS) $(LDR_BLENDED_SHELL)

$(LDR_EXPOSURE_LAYER_0) : $(LDR_EXPOSURE_LAYER_0_INPUT) 
	$(ENBLEND) $(ENBLEND_EXPOSURE_COMP) $(ENBLEND_OPTS) -o $(LDR_EXPOSURE_LAYER_0_SHELL) -- $(LDR_EXPOSURE_LAYER_0_INPUT_SHELL)
	-$(EXIFTOOL) -overwrite_original_in_place -TagsFromFile $(INPUT_IMAGE_1_SHELL) $(EXIFTOOL_COPY_ARGS) $(LDR_EXPOSURE_LAYER_0_SHELL)

$(LDR_STACKED_BLENDED) : $(LDR_STACKS) 
	$(ENBLEND) $(ENBLEND_LDR_COMP) $(ENBLEND_OPTS) -o $(LDR_STACKED_BLENDED_SHELL) -- $(LDR_STACKS_SHELL)
	-$(EXIFTOOL) -E -overwrite_original_in_place -TagsFromFile $(INPUT_IMAGE_1_SHELL) $(EXIFTOOL_COPY_ARGS) $(EXIFTOOL_INFO_ARGS) $(LDR_STACKED_BLENDED_SHELL)

$(LDR_EXPOSURE_LAYERS_FUSED) : $(LDR_EXPOSURE_LAYERS) 
	$(ENFUSE) $(ENBLEND_LDR_COMP) $(ENFUSE_OPTS) -o $(LDR_EXPOSURE_LAYERS_FUSED_SHELL) -- $(LDR_EXPOSURE_LAYERS_SHELL)
	-$(EXIFTOOL) -E -overwrite_original_in_place -TagsFromFile $(INPUT_IMAGE_1_SHELL) $(EXIFTOOL_COPY_ARGS) $(EXIFTOOL_INFO_ARGS) $(LDR_EXPOSURE_LAYERS_FUSED_SHELL)

$(HDR_BLENDED) : $(HDR_STACKS) 
	$(ENBLEND) $(ENBLEND_HDR_COMP) $(ENBLEND_OPTS) -o $(HDR_BLENDED_SHELL) -- $(HDR_STACKS_SHELL)

$(LDR_REMAPPED_PREFIX)_multilayer.tif : $(LDR_LAYERS) 
	tiffcp $(LDR_LAYERS_SHELL) $(LDR_REMAPPED_PREFIX_SHELL)_multilayer.tif

$(LDR_REMAPPED_PREFIX)_fused_multilayer.tif : $(LDR_STACKS) $(LDR_EXPOSURE_LAYERS) 
	tiffcp $(LDR_STACKS_SHELL) $(LDR_EXPOSURE_LAYERS_SHELL) $(LDR_REMAPPED_PREFIX_SHELL)_fused_multilayer.tif

$(LDR_REMAPPED_PREFIX)_multilayer.psd : $(LDR_LAYERS) 
	PTtiff2psd -o $(LDR_REMAPPED_PREFIX_SHELL)_multilayer.psd $(LDR_LAYERS_SHELL)

$(LDR_REMAPPED_PREFIX)_fused_multilayer.psd : $(LDR_STACKS) $(LDR_EXPOSURE_LAYERS) 
	PTtiff2psd -o $(LDR_REMAPPED_PREFIX_SHELL)_fused_multilayer.psd $(LDR_STACKS_SHELL)$(LDR_EXPOSURE_LAYERS_SHELL)
